Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354221 - noisy compilation warnning with Wstrict-prototypes
Summary: noisy compilation warnning with Wstrict-prototypes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: build
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Zhou Zhengping
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-10 23:34 UTC by Zhou Zhengping
Modified: 2017-01-03 11:23 UTC (History)
3 users (show)

Fixed In Version: 3.9.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-03 11:23:30 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Zhou Zhengping 2016-07-10 23:34:48 UTC
Description of problem:
build warning info :

In file included from ../../../../libglusterfs/src/xlator.h:60:0,
                 from glupy.c:16:
../../../../libglusterfs/src/iobuf.h:159:8: warning: function declaration isn't a prototype [-Wstrict-prototypes]

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Vijay Bellur 2016-07-10 23:40:11 UTC
REVIEW: http://review.gluster.org/14884 (build: fix noisy compilation warning with current build option Wstrict-prototypes) posted (#1) for review on master by Zhou Zhengping (johnzzpcrystal@gmail.com)

Comment 2 Vijay Bellur 2016-07-12 18:13:55 UTC
COMMIT: http://review.gluster.org/14884 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 4768760d5eb0ee8a0251e7776ed03d130c747164
Author: Zhou Zhengping <johnzzpcrystal@gmail.com>
Date:   Mon Jul 11 07:28:44 2016 -0400

    build: fix noisy compilation warning with current build option Wstrict-prototypes
    
    Change-Id: I50904033aa2beb880dee828849f470ac31048a79
    BUG: 1354221
    Signed-off-by: Zhou Zhengping <johnzzpcrystal@gmail.com>
    Reviewed-on: http://review.gluster.org/14884
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>


Note You need to log in before you can comment on or make changes to this bug.